/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/*****************/
/*** Homepage ***/
/***************/

/*Moving images*/
.Imgupdown{
    -webkit-animation:glide 1.5s ease-in-out alternate infinite;
   }
   @-webkit-keyframes glide {
   from {
   left:0px;
   top:0px
   }
   to{
    left:0px;
    top:20px;
   }
   }
/*Hosting options hover color change*/
.homepage-hosting-options-box:hover	.color-change-on-hover,
.homepage-hosting-options-box:hover	.color-change-on-hover h5,
.homepage-hosting-options-box:hover	.color-change-on-hover h6,
.shared-hosting-options-box:hover .color-change-on-hover,
.shared-hosting-options-box:hover .color-change-on-hover h5,
.shared-hosting-options-box:hover .color-change-on-hover h6 {
    color: white !important;
}
.homepage-hosting-options-box:hover	.color-change-on-hover svg {
    fill: white !important;
}
.color-change-on-hover-img {
    filter: brightness(25%) contrast(100%) saturate(100%) blur(0px) hue-rotate(0deg);
}
.homepage-hosting-options-box:hover .color-change-on-hover-img {
    filter: unset;
}
/*SVG change color*/
.homepage-icons-change-fill-color svg,
.shared-hosting-options-box:hover .color-change-on-hover-img {
    filter: invert(1);
}
/*Hosting comparison table*/
.homepage-hosting-comp-table {
    text-align: center;
}
.homepage-hosting-comp-table .empty {
    display: inline-block;
    height: 20px;
}
.homepage-hosting-comp-table .buy-button {
    background-color: #0774FF;
    color: white;
    border: unset;
    padding: 10px 50px;
    border-radius: 30px;
    font-weight: 600;
}
.homepage-hosting-comp-table .buy-button:hover {
    background-color: #ffc107;
    color: #2d3c58;
}
.homepage-hosting-comp-table tbody>tr:nth-child(odd)>td,
.homepage-hosting-comp-table tbody>tr:nth-child(odd)>th {
    background-color: hsl(0deg 0% 50.2% / 0%);
}
.homepage-hosting-comp-table td,
.homepage-hosting-comp-table th {
    border: 1px solid #e9edff;
}

/****************************/
/*** Shared hosting page ***/
/**************************/

.shared-hosting-price {
    font-size: 32px;
    font-weight: 600;
    color: #2d3c58;
}
.shared-hosting-price-period {
    font-size: 16px;
    color: #2d3c58;
}
/*Domain names*/
.popular-domains {
    padding: 4px 10px;
    border: 1px solid white;
    margin: 0px 10px;
    border-radius: 6px;
    background-color: rgba(255, 255, 255, 0.1);
    font-weight: 600;
}
/*Prices*/
.strikethrough-price {
	text-decoration: line-through;
}
.new-price {
	font-size:20px;
	font-weight:700
}
/*Monthly-Annualy Switch*/
/*Hide Annual prices table for default on-load*/
#annualy-shared-prices {
    display: none;
}
#monthly-annualy-toggle-switch {
    display: flex;
    justify-content: center;
}
#monthly-annualy-toggle-switch p {
    padding: 4px 10px 0px 10px;
    margin-bottom: 0px !important;
}
#monthly-annualy-toggle-switch .switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

#monthly-annualy-toggle-switch .switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

#monthly-annualy-toggle-switch .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #2196F3;
    transition: 0.4s;
}

#monthly-annualy-toggle-switch .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: 0.4s;
}

#monthly-annualy-toggle-switch input:checked + .slider {
    background-color: #2196F3;
}

#monthly-annualy-toggle-switch input:checked + .slider:before {
    transform: translateX(26px);
}

#monthly-annualy-toggle-switch .slider {
    border-radius: 34px;
}

#monthly-annualy-toggle-switch .slider:before {
    border-radius: 50%;
}

/******************************/
/*** Web & Eshop Dev Pages ***/
/****************************/

.website-eshop-why-create-icons .shared-hosting-options-box:hover .color-change-on-hover-img-no-svg svg {
    fill: white !important;
}

/****************************/
/*** VPS hosting page ***/
/**************************/

/*Hide Annual prices table for default on-load*/
#annualy-shared-vps-prices,
#annualy-shared-regular-vps-prices,
#annualy-dedicated-vps-prices {
    display: none;
}

/*Extra Storage Range Slider*/
.hello-storage-slider {
    margin:1em 0;
    font-family:sans-serif
}
.hello-storage-slider .hs-slider {
    width:100%;
    margin:6px 0
}
.hello-storage-slider .hs-value {
    display:block;
    text-align:center;
    margin-bottom:6px;
    font-weight:600
}
.hello-storage-slider .hs-price {
    display:block;
    text-align:center;
    margin-top:6px;
    color:#0774ff;
    font-weight:600
}
.hs-range-labels {
    display: flex;
    justify-content: space-between;
}